Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 61893 - RT needs libapreq2 to work with Apache2
Summary: RT needs libapreq2 to work with Apache2
Status: RESOLVED TEST-REQUEST
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All All
: High normal (vote)
Assignee: Renat Lumpau (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on: 35406 77547
Blocks: 67686
  Show dependency tree
 
Reported: 2004-08-27 00:10 UTC by Renat Lumpau (RETIRED)
Modified: 2005-08-08 15:41 UTC (History)
8 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Renat Lumpau (RETIRED) gentoo-dev 2004-08-27 00:10:33 UTC
HTML-Mason depends on libapreq. libapreq-1.3 pulls in Apache-1*. We need libapreq2.
Comment 1 Doug Goldstein gentoo-dev 2004-09-22 23:55:06 UTC
Renat: I assume this is RT as in www-apps/rt, the RT from bestpractical.com... I've got it running on Apache 2 in a Fedora environment... I think the ebuild needs to be fixed up since it's got some bad depends... I also don't understand how it's "unstable" in Apache 2... It's working better in 3 Apache 2 environ's then an Apache 1 environ where it's constantly having issues.

I'll work on this with ya.
Comment 2 Renat Lumpau (RETIRED) gentoo-dev 2004-09-23 00:02:36 UTC
That'd be great.

- bad depends?
- it's unstable on apache2/mod_perl2 per upstream (but should be fine with fcgi). once we get libapreq2 in portage, i'll happily add an apache2 USE flag. for now, no matter what, libapreq1 and Apache1 get pulled in
Comment 3 Andy Dustman 2004-10-15 10:53:46 UTC
libapreq2 is in Portage but it is hard masked.
Comment 4 Doug Goldstein gentoo-dev 2004-10-27 23:23:54 UTC
libapreq2 just worked fine for me... even with FEATURES=maketest. Along with mod_perl 1.99.17 (new version I commited as per rac's approval).

Maybe we can think about not having this in hard mask?

Renat: As far as bad depends go... yes... RT is missing depends on this package. And it's hardcoded to call "apachectl" which is an Apache 1 only program.
Comment 5 Doug Goldstein gentoo-dev 2004-10-29 16:43:07 UTC
Victory... Looks like I've gotten rt to work from just an

emerge -u rt

on Apache 2. 

:)

Patches to come soon.
Comment 6 Andreas Vinsander 2004-12-07 15:57:29 UTC
Hows it goin Doug?
Would be nice to throw that apache-1 installation out the door... ;-)
Comment 7 Matt Philips 2005-02-03 14:04:10 UTC
Doug, any chance you can post your patches?
Comment 9 Renat Lumpau (RETIRED) gentoo-dev 2005-06-12 13:19:02 UTC
Folks,

rt-3.4.2 is in portage. Apache2 support is still broken, so for now, Apache 1
only. Let's revisit this once the dust settles on the recent Apache migration.
Comment 10 Doug Goldstein gentoo-dev 2005-06-12 14:15:46 UTC
How exactly is Apache 2 support still broken? I've been using Apache 2 + RT in
Gentoo using ebuilds since the 3.2.x pre-release versions of RT. That's over a
year ago. I've been trying to get in touch with you about fixes. I've even been
told by the web-apps herd to just take over rt in Portage myself cause you were MIA.

So.. What's the deal? Why won't you add Apache 2 support?
Comment 11 Renat Lumpau (RETIRED) gentoo-dev 2005-06-12 15:14:18 UTC
(In reply to comment #10)
> How exactly is Apache 2 support still broken? I've been using Apache 2 + RT in
> Gentoo using ebuilds since the 3.2.x pre-release versions of RT. That's over a
> year ago. I've been trying to get in touch with you about fixes. I've even been
> told by the web-apps herd to just take over rt in Portage myself cause you
were MIA.
> 
> So.. What's the deal? Why won't you add Apache 2 support?

1. Ongoing Apache refresh
2. Working mod_perl2 masked
3. libapreq2 and HTML-Mason seem to be in flux
4. Lack of time.

I understand beu is working on 1-3, and I'll take care of 4. 
Comment 12 Doug Goldstein gentoo-dev 2005-06-12 16:12:49 UTC
cat: /usr/portage/www-apps/rt/files/config.layout-gentoo: No such file or directory

is the error msg I get with your rt-3.4.2 ebuild. I'm guessing you forgot to
commit a file. I just checked viewcvs and didn't see it there.
Comment 13 Renat Lumpau (RETIRED) gentoo-dev 2005-06-12 16:27:09 UTC
Committed.
Comment 14 Renat Lumpau (RETIRED) gentoo-dev 2005-06-21 04:16:24 UTC
(In reply to comment #10)
> How exactly is Apache 2 support still broken? I've been using Apache 2 + RT in
> Gentoo using ebuilds since the 3.2.x pre-release versions of RT. That's over a
> year ago. I've been trying to get in touch with you about fixes. I've even been
> told by the web-apps herd to just take over rt in Portage myself cause you
were MIA.
> 
> So.. What's the deal? Why won't you add Apache 2 support?

rt-3.4.2-r1 now supports apache2 + fastcgi, as well as lighttpd. mod_perl2
support is next.
Comment 15 Rendhalver 2005-08-04 04:38:13 UTC
hi guys.
libapreq2-2.06 is now in portage.
can you please test if this solves the problems you are having with this.
thanks.
Comment 16 Renat Lumpau (RETIRED) gentoo-dev 2005-08-08 15:41:29 UTC
Now that libapreq2 is unmasked, rt-3.4.2-r1 supports apache2.